## siduction-icons 0.4

=== Makefile ===
#!/usr/bin/make -f

SIZE= 16 20 22 24 32 36 40 48 64 72 96 128 192 256

all:
	# requires inkscape and imagemagick to be installed
	@if [ ! -x /usr/bin/convert ]; then \
	    echo "ERROR: imagemagick not installed!" ; \
	    false ; \
	fi

	@if [ ! -x /usr/bin/inkscape ]; then \
	    echo "ERROR: inkscape not installed!" ; \
	    false ; \
	fi

	for i in ${SIZE}; do \
	    mkdir -p "hicolor/$${i}x$${i}/apps" ; \
	    for k in $$(ls *svg); do \
	        kstrip=$$(echo $${k} | awk -F . {'print $$1'}) ; \
	        inkscape --export-width=$${i} \
	            --export-height=$${i} \
	            --export-png="$(CURDIR)/hicolor/$${i}x$${i}/apps/$${kstrip}.png" \
	                $(CURDIR)/$${kstrip}.svg ; \
	    done; \
	done

	mkdir -p pixmaps

	cd hicolor/32x32/apps; \
	for i in $$(ls *png); do \
	    kstrip=$$(echo $${i} | awk -F . {'print $$1'}); \
	    convert $${i} ../../../pixmaps/$${kstrip}.xpm; \
	done;

	cd hicolor/16x16/apps; \
	for i in $$(ls *png); do \
	    kstrip=$$(echo $${i} | awk -F . {'print $$1'}) ; \
	    convert $${i} ../../../pixmaps/$${kstrip}-16.xpm; \
	done;

	mkdir -p hicolor/scalable
	cp *.svg hicolor/scalable	

clean:
	$(RM) -r hicolor
	$(RM) -r pixmaps

=== debian/changelog ===
siduction-icons (0.4) unstable; urgency=low

  * siduction-icons now provide siduction-art-icons
  * siduction-icons breaks siduction-art-icons
  * siduction-icons replaces siduction-art-icons 

 -- Alf Gaida <agaida@siduction.org>  Tue, 30 Oct 2012 02:18:51 +0100

siduction-icons (0.3) unstable; urgency=low

  * typos in debian/copyrights 

 -- Alf Gaida <agaida@siduction.org>  Sun, 28 Oct 2012 18:16:49 +0100

siduction-icons (0.2) unstable; urgency=low

  * Makefile created 
  * .gitignore added

 -- Alf Gaida <agaida@siduction.org>  Sat, 15 Sep 2012 00:05:59 +0200

siduction-icons (0.1) unstable; urgency=low

  * initial release

 -- Alf Gaida <agaida@siduction.org>  Fri, 14 Sep 2012 20:21:35 +0200

=== debian/control ===
Source: siduction-icons
Section: graphics
Priority: extra
Maintainer: Alf Gaida <agaida@siduction.org>
Build-Depends: debhelper (>= 9),
    inkscape,
    imagemagick,
    perl,
    perlmagick,
    libxml-parser-perl,
    fonts-droid
Standards-Version: 3.9.3
Vcs-Git: git://git.siduction.org/code/siduction-icons.git
Vcs-Browser: http://git.siduction.org/code/siduction-icons.git

Package: siduction-icons
Architecture: all
Depends: ${misc:Depends}, creativecommons3
Breaks: siduction-art-icons
Replaces: siduction-art-icons
Provides: siduction-art-icons
Description: Siduction Icons 
 Slow growing icon library.
